# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/vertexcom-mse102x.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: The Vertexcom MSE102x (SPI)

maintainers:
  - Stefan Wahren <stefan.wahren@chargebyte.com>

description:
  Vertexcom's MSE102x are a family of HomePlug GreenPHY chips.
  They can be connected either via RGMII, RMII or SPI to a host CPU.

  In order to use a MSE102x chip as SPI device, it must be defined as
  a child of an SPI master device in the device tree.

  More information can be found at
    http://www.vertexcom.com/doc/MSE1022%20Product%20Brief.pdf

allOf:
  - $ref: ethernet-controller.yaml#

properties:
  compatible:
    enum:
      - vertexcom,mse1021
      - vertexcom,mse1022

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  spi-cpha: true

  spi-cpol: true

  spi-max-frequency:
    minimum: 6000000
    maximum: 7142857

required:
  - compatible
  - reg
  - interrupts
  - spi-cpha
  - spi-cpol
  - spi-max-frequency

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    spi0 {
        #address-cells = <1>;
        #size-cells = <0>;

        ethernet@0 {
            compatible = "vertexcom,mse1021";
            reg = <0>;
            interrupt-parent = <&gpio>;
            interrupts = <23 IRQ_TYPE_EDGE_RISING>;
            spi-cpha;
            spi-cpol;
            spi-max-frequency = <7142857>;
        };
    };
